#! /bin/sh

set -e

DIRNAME=`mktemp -d deleteme-XXXXXX`

cd $DIRNAME
ORIGBALL=../$NAME-$VERSION.tar.bz2
DESTBALL=../$NAME-$VERSION.patched.tar.bz2
echo "Saving original file list"
tar -tjf $ORIGBALL | sort > origfiles.txt
echo "Extracting original tarball"
tar -xjf $ORIGBALL

MPEG_INFIXES="mpeg mpg mp3 mp2 mad"
MPEG_PATHS="ext/mad ext/mpeg2dec ext/mpeg2enc gst/mpeg1sys gst/mpeg1videoparse gst/mpeg2sub gst/mpegaudio gst/mpegaudioparse gst/mpegstream ext/lame"

for mod in $MPEG_PATHS; do 
    echo rm -rf -- "$NAME-$VERSION/${mod}"
    rm -rf -- "$NAME-$VERSION/${mod}"
    sys=$(dirname "${mod}")
    submod=$(basename "${mod}")
    perl -pi -e "s/[a-zA-Z0-9]*$submod[a-zA-Z0-9]*//g" $NAME-$VERSION/$sys/Makefile.in
    perl -pi -e "s/[a-zA-Z0-9]*$submod[a-zA-Z0-9]*//g" $NAME-$VERSION/$sys/Makefile.am

    perl -pi -e "s#^$sys/[a-zA-Z0-9]*$submod[a-zA-Z0-9]*/Makefile##g" $NAME-$VERSION/configure.ac
    perl -pi -e "s#	$submod #	#g" $NAME-$VERSION/configure.ac
done

for I in ffmpeg ; do
    rm -rf $NAME-$VERSION/gst-libs/ext/$I
done

echo "Creating new tarball"
tar -cjf $DESTBALL $NAME-$VERSION
echo "Extracting new file list"
tar -tjf $DESTBALL | sort > newfiles.txt

diff -u origfiles.txt newfiles.txt > ../removed-sources.txt || true

cd ..
rm -rf $DIRNAME

echo "$NAME-$VERSION.patched.tar.bz2 created, removed files in removed-sources.txt"

exit 0

